Skip to main content
POST
/
employer
/
individual
JavaScript
import Finch from '@tryfinch/finch-api';

const client = new Finch({
  accessToken: 'My Access Token',
});

// Automatically fetches more pages as needed.
for await (const individualResponse of client.hris.individuals.retrieveMany()) {
  console.log(individualResponse.individual_id);
}
{ "responses": [ { "individual_id": "5d0b10a1-a09a-430f-81f1-20be735dc5e9", "code": 200, "body": { "id": "5d0b10a1-a09a-430f-81f1-20be735dc5e9", "first_name": "Jane", "middle_name": null, "last_name": "Doe", "preferred_name": "Janey", "emails": [ { "data": "jane@acme.com", "type": "work" }, { "data": "janed@personal.com", "type": "personal" } ], "phone_numbers": [ { "data": "+14475678901", "type": "personal" } ], "gender": "female", "ethnicity": "black_or_african_american", "dob": "1970-01-01", "residence": { "line1": "123 Main St", "line2": "Apt C", "city": "Schenectady", "state": "NY", "postal_code": "12345", "country": "US" } } } ] }

Authorizations

Authorization
string
header
required

Please use your Access Token

Headers

Finch-API-Version
string<date>
default:2020-09-17
required

Header used to specify the version for a given API request. Current version is 2020-09-17.

Pattern: ([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))
Content-Type
string
default:application/json
required

Used to indicate the original media type of the resource

Query Parameters

entity_ids
string<uuid>[]

The entity IDs to specify which entities' data to access.

Required array length: 1 element
Example:
["550e8400-e29b-41d4-a716-446655440000"]

Body

application/json
requests
object[]
options
object

Response

Individual data

responses
object[]
required